import { OnChanges, EventEmitter, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CircleGraphComponent implements OnInit, OnChanges {
    private render;
    evaluated: number;
    projected: number;
    posLegX1: number;
    posLegY1: number;
    posLegX2: number;
    posLegY2: number;
    width: number;
    height: number;
    evaluatedTitle: string;
    projectedTitle: string;
    levelTitle: string;
    levelType: any;
    color: string;
    evaluatedEmitter: EventEmitter<any>;
    projectedEmitter: EventEmitter<any>;
    private myCanvas;
    private canvas;
    private percentage;
    private radius;
    private total;
    constructor(render: Renderer2);
    ngOnInit(): void;
    ngOnChanges(): void;
    private recalculateCanvas;
    private degreesToRadians;
    private percentToRadians;
    private drawPercentageCircle;
    private hexToRgbA;
    static ɵfac: i0.ɵɵFactoryDeclaration<CircleGraphComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CircleGraphComponent, "uno-circle-graph", never, { "evaluated": "evaluated"; "projected": "projected"; "posLegX1": "posLegX1"; "posLegY1": "posLegY1"; "posLegX2": "posLegX2"; "posLegY2": "posLegY2"; "width": "width"; "height": "height"; "evaluatedTitle": "evaluatedTitle"; "projectedTitle": "projectedTitle"; "levelTitle": "levelTitle"; "levelType": "levelType"; "color": "color"; }, { "evaluatedEmitter": "evaluatedEmitter"; "projectedEmitter": "projectedEmitter"; }, never, never>;
}
