import { ViewContainerRef, OnInit, OnDestroy } from '@angular/core';
import { NgControl } from '@angular/forms';
import { TranslateService } from '@ngx-translate/core';
import { ControlErrorContainerDirective } from './control-error-container.directive';
import * as i0 from "@angular/core";
export declare class ControlErrorDirective implements OnInit, OnDestroy {
    vcr: ViewContainerRef;
    private controlDir;
    private translate;
    customErrors: {};
    useOurValidation: boolean;
    private ref;
    private container;
    private subscription$;
    constructor(vcr: ViewContainerRef, controlErrorContainer: ControlErrorContainerDirective, controlDir: NgControl, translate: TranslateService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private get control();
    private setError;
    private getError;
    static ɵfac: i0.ɵɵFactoryDeclaration<ControlErrorDirective, [null, { optional: true; }, null, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ControlErrorDirective, "[formControl], [formControlName]", never, { "customErrors": "customErrors"; "useOurValidation": "useOurValidation"; }, {}, never>;
}
