import { OnChanges, EventEmitter } from '@angular/core';
import { Grid } from '../../../lib/grid';
import { Row } from '../../../lib/data-set/row';
import { DefaultCreateSaveCancel } from '../../../lib/create-save-cancel-default';
import * as i0 from "@angular/core";
export declare class TbodySaveCancelComponent extends DefaultCreateSaveCancel implements OnChanges {
    grid: Grid;
    row: Row;
    editConfirm: EventEmitter<any>;
    editSave: EventEmitter<any>;
    editCancel: EventEmitter<any>;
    cancelButtonContent: string;
    saveButtonContent: string;
    constructor();
    ngOnChanges(): void;
    onSave(event: any): void;
    onCancelEdit(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TbodySaveCancelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TbodySaveCancelComponent, "ng2-st-tbody-save-cancel", never, { "grid": "grid"; "row": "row"; "editConfirm": "editConfirm"; }, { "editSave": "editSave"; "editCancel": "editCancel"; }, never, never>;
}
